# Verimli Programlama

## 📝 Dokümantasyon Yapısı

* 🔗 İlgili metot üzerine yararlandığım kaynağın bağlantısını bırakmak

```java
/**
* ...
* https://developer.android.com/training/volley/simple.html
*/
public static void volleyExample() {
    // ...
}
```

## 👨‍💻 Kodlama Yapısı

* 💡 Gerekli adımları **Log** yapısı ve uygun etiket ile yazdırma
* ✨ Metotlar içerisinde özel **interface** yapısı kullanma
* 🗂️ Her sınıfın kullandığı veri yapısını kendi içerisinde tanımlama

```java
class NewsAPI {
    static final String TAG = "NewsAPI"; // Loglama için etiket yapısı
    
    public void logEx() {
        Log.i(TAG, "YEmreAk.com");
    }

    public static void someRequest(ResponseListener responseListener) {
        // İşlemler...
        // newDataList = ArrayList<NewsData>...
        responseListener.onResponse(newsDataList); // Interface kullanımı
    }
    
    interface ResponseListener {
            void onResponse(ArrayList<NewsData> newsDataList);
        }
    
        public static class NewsData {
            String title;
            String description;
            String urlToImage;
    
            NewsData(String title, String description, String urlToImage) {
                this.title = title;
                this.description = description;
                this.urlToImage = urlToImage;
            }
        }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yemreak.com/arsiv/yazilarim/verimli-programlama.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
